Subject: Re: bug#64717: [PATCH] Silence the compiler in vcard-parse.el from ELPA

From: Eric Abrahamsen <[email-masked]>
Date: Tue, 18 Jul 2023 14:59:18 -0700

Arash Esbati <[email-masked]> writes:

> X-Debbugs-CC: [email-masked]
>
> Hi all,
>
> this is a tiny patch against vcard-parse.el in order to pacify the
> warnings about
>
>  ‘point-at-bol’ is an obsolete function ...
>  ‘point-at-eol’ is an obsolete function ...
>
>
> And while we're at: There are also
>
>   In vcard-region-decode-base64:
>   vcard.el:516:29: Warning: avoid ‘lsh’; use ‘ash’ instead
>   vcard.el:518:27: Warning: avoid ‘lsh’; use ‘ash’ instead
>   vcard.el:518:51: Warning: avoid ‘lsh’; use ‘ash’ instead
>   vcard.el:530:32: Warning: avoid ‘lsh’; use ‘ash’ instead
>
> Is `ash' a drop-in replacement?  Maybe these can be fixed as well.

Thanks for this! I've applied your patch. This stuff with base64 looks
like it it's from the year 2000, and I should follow Stefan's comments
and update it to use `base64-decode-region' directly. This is one of the
many things I'm behind on, I will try to get to it this week. Let's
leave this bug open until then.